etherdump
=========

Tool to publish [etherpad](http://etherpad.org/) pages to (archival) HTML.


Requirements
-------------

Python (2.7) with:

* html5lib
* jinja2

Installation
-------------

    pip install html5lib jinja2
    python setup.py install

Padinfo file
-------------
All pad-specific settings are loaded from a file called "padinfo.json" -- by default etherdump looks in the current directory. Make a copy of padinfo.sample.json to start one. Make sure to check that the URL and port settings are correct, and to paste the correct apikey here!

    cp padinfo.sample.json ~/yourfolder/padinfo.json
    nano padinfo.json

And then for instance:

    etherdump list


subcommands
----------

* dump (the default)
* list
* listauthors
* text
* diffhtml
* revisionscount

To get help on a subcommand:

	etherdump revisionscount --help

TODO
--------
* Modify tools to work with make
** Sync command
** Dump command that works on a single page
** Post processing as separable filters (such as linkify)
* Support for migrating (what dump formats exist that would allow pushing to another instance?)
